#include "iodefine.h"
#include "typedefine.h"

#define TFTDATA  (*(volatile unsigned short*)0x08000000)
#define TFTCTRL  (*(volatile unsigned short*)0x08000002)

void main(void);
void init_CS2(void);
void TFT_On(void);
void TFT_paint_color(_UWORD);

void main(void) {
  init_CS2();
  TFT_On();
  TFT_paint_color(0x0000);
  while(1);
}

void TFT_paint_color(_UWORD color) {
  // ̊֐쐬
}

void TFT_On(void) {
  TFTCTRL = 0x4000;
}

void init_CS2(void) {
  BSC.CS2BCR.LONG = 0x12490400;
  BSC.CS2WCR      = 0x000302C0;
  PFC.PACRL4.BIT.PA15MD = 1;
  PFC.PACRL2.BIT.PA6MD  = 2;
}
