#include "iodefine.h"
#include "typedefine.h"

#define TFTDATA  (*(volatile unsigned short*)0x08000000)
#define TFTCTRL  (*(volatile unsigned short*)0x08000002)

void main(void);
void init_CS2(void);
void TFT_On(void);
void TFT_clear(void);

void main(void) {
  init_CS2();
  TFT_On();
  TFT_clear();
  while(1);
}

void TFT_clear(void) {
  _SINT i;
  TFTCTRL = 0x4001;
  for (i = 0; i < (320*240); i++ ) {
    TFTDATA = 0xFFFF;
  }
}

void TFT_On(void) {
  TFTCTRL = 0x4000;
}

void init_CS2(void) {
  BSC.CS2BCR.LONG = 0x12490400;
  BSC.CS2WCR      = 0x000302C0;
  PFC.PACRL4.BIT.PA15MD = 1;
  PFC.PACRL2.BIT.PA6MD  = 2;
}
